[
    {
        "name": "eleirbag89/telegrambotphp",
        "version": "1.3.8",
        "version_normalized": "1.3.8.0",
        "source": {
            "type": "git",
            "url": "https://github.com/Eleirbag89/TelegramBotPHP.git",
            "reference": "aec5bc4f5873595d1b4f03fd0d955549ba4cfab3"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/Eleirbag89/TelegramBotPHP/zipball/aec5bc4f5873595d1b4f03fd0d955549ba4cfab3",
            "reference": "aec5bc4f5873595d1b4f03fd0d955549ba4cfab3",
            "shasum": ""
        },
        "require": {
            "php": ">=5.0"
        },
        "time": "2017-12-27T13:46:04+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "Telegram.php",
                "TelegramErrorLogger.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Gabriele Grillo",
                "email": "gabry.grillo@alice.it"
            }
        ],
        "description": "A very simple PHP Telegram Bot API"
    },
    {
        "name": "guzzlehttp/guzzle",
        "version": "6.3.3",
        "version_normalized": "6.3.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/guzzle.git",
            "reference": "407b0cb880ace85c9b63c5f9551db498cb2d50ba"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/guzzle/zipball/407b0cb880ace85c9b63c5f9551db498cb2d50ba",
            "reference": "407b0cb880ace85c9b63c5f9551db498cb2d50ba",
            "shasum": ""
        },
        "require": {
            "guzzlehttp/promises": "^1.0",
            "guzzlehttp/psr7": "^1.4",
            "php": ">=5.5"
        },
        "require-dev": {
            "ext-curl": "*",
            "phpunit/phpunit": "^4.8.35 || ^5.7 || ^6.4 || ^7.0",
            "psr/log": "^1.0"
        },
        "suggest": {
            "psr/log": "Required for using the Log middleware"
        },
        "time": "2018-04-22T15:46:56+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "6.3-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/functions_include.php"
            ],
            "psr-4": {
                "GuzzleHttp\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            }
        ],
        "description": "Guzzle is a PHP HTTP client library",
        "homepage": "http://guzzlephp.org/",
        "keywords": [
            "client",
            "curl",
            "framework",
            "http",
            "http client",
            "rest",
            "web service"
        ]
    },
    {
        "name": "guzzlehttp/promises",
        "version": "v1.3.1",
        "version_normalized": "1.3.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/promises.git",
            "reference": "a59da6cf61d80060647ff4d3eb2c03a2bc694646"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/promises/zipball/a59da6cf61d80060647ff4d3eb2c03a2bc694646",
            "reference": "a59da6cf61d80060647ff4d3eb2c03a2bc694646",
            "shasum": ""
        },
        "require": {
            "php": ">=5.5.0"
        },
        "require-dev": {
            "phpunit/phpunit": "^4.0"
        },
        "time": "2016-12-20T10:07:11+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.4-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Promise\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            }
        ],
        "description": "Guzzle promises library",
        "keywords": [
            "promise"
        ]
    },
    {
        "name": "guzzlehttp/psr7",
        "version": "1.6.1",
        "version_normalized": "1.6.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/psr7.git",
            "reference": "239400de7a173fe9901b9ac7c06497751f00727a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/psr7/zipball/239400de7a173fe9901b9ac7c06497751f00727a",
            "reference": "239400de7a173fe9901b9ac7c06497751f00727a",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4.0",
            "psr/http-message": "~1.0",
            "ralouphie/getallheaders": "^2.0.5 || ^3.0.0"
        },
        "provide": {
            "psr/http-message-implementation": "1.0"
        },
        "require-dev": {
            "ext-zlib": "*",
            "phpunit/phpunit": "~4.8.36 || ^5.7.27 || ^6.5.8"
        },
        "suggest": {
            "zendframework/zend-httphandlerrunner": "Emit PSR-7 responses"
        },
        "time": "2019-07-01T23:21:34+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.6-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Psr7\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            },
            {
                "name": "Tobias Schultze",
                "homepage": "https://github.com/Tobion"
            }
        ],
        "description": "PSR-7 message implementation that also provides common utility methods",
        "keywords": [
            "http",
            "message",
            "psr-7",
            "request",
            "response",
            "stream",
            "uri",
            "url"
        ]
    },
    {
        "name": "longman/telegram-bot",
        "version": "0.60.0",
        "version_normalized": "0.60.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-telegram-bot/core.git",
            "reference": "46646884f5c05f1161f10605a0705aa24df3e583"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-telegram-bot/core/zipball/46646884f5c05f1161f10605a0705aa24df3e583",
            "reference": "46646884f5c05f1161f10605a0705aa24df3e583",
            "shasum": ""
        },
        "require": {
            "ext-curl": "*",
            "ext-json": "*",
            "ext-mbstring": "*",
            "ext-pdo": "*",
            "guzzlehttp/guzzle": "^6.3",
            "monolog/monolog": "^1.24",
            "php": "^5.5|^7.0",
            "psr/log": "^1.1"
        },
        "require-dev": {
            "phpunit/phpunit": "^4.8|^5.7|^6.5|^7.5|^8.1",
            "squizlabs/php_codesniffer": "^3.4"
        },
        "time": "2019-08-16T15:10:43+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Longman\\TelegramBot\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Avtandil Kikabidze aka LONGMAN",
                "email": "akalongman@gmail.com",
                "homepage": "http://longman.me",
                "role": "Developer"
            },
            {
                "name": "PHP Telegram Bot Team",
                "homepage": "https://github.com/php-telegram-bot/core/graphs/contributors",
                "role": "Developer"
            }
        ],
        "description": "PHP Telegram bot",
        "homepage": "https://github.com/php-telegram-bot/core",
        "keywords": [
            "api",
            "bot",
            "telegram"
        ]
    },
    {
        "name": "monolog/monolog",
        "version": "1.25.1",
        "version_normalized": "1.25.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/Seldaek/monolog.git",
            "reference": "70e65a5470a42cfec1a7da00d30edb6e617e8dcf"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/Seldaek/monolog/zipball/70e65a5470a42cfec1a7da00d30edb6e617e8dcf",
            "reference": "70e65a5470a42cfec1a7da00d30edb6e617e8dcf",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0",
            "psr/log": "~1.0"
        },
        "provide": {
            "psr/log-implementation": "1.0.0"
        },
        "require-dev": {
            "aws/aws-sdk-php": "^2.4.9 || ^3.0",
            "doctrine/couchdb": "~1.0@dev",
            "graylog2/gelf-php": "~1.0",
            "jakub-onderka/php-parallel-lint": "0.9",
            "php-amqplib/php-amqplib": "~2.4",
            "php-console/php-console": "^3.1.3",
            "phpunit/phpunit": "~4.5",
            "phpunit/phpunit-mock-objects": "2.3.0",
            "ruflin/elastica": ">=0.90 <3.0",
            "sentry/sentry": "^0.13",
            "swiftmailer/swiftmailer": "^5.3|^6.0"
        },
        "suggest": {
            "aws/aws-sdk-php": "Allow sending log messages to AWS services like DynamoDB",
            "doctrine/couchdb": "Allow sending log messages to a CouchDB server",
            "ext-amqp": "Allow sending log messages to an AMQP server (1.0+ required)",
            "ext-mongo": "Allow sending log messages to a MongoDB server",
            "graylog2/gelf-php": "Allow sending log messages to a GrayLog2 server",
            "mongodb/mongodb": "Allow sending log messages to a MongoDB server via PHP Driver",
            "php-amqplib/php-amqplib": "Allow sending log messages to an AMQP server using php-amqplib",
            "php-console/php-console": "Allow sending log messages to Google Chrome",
            "rollbar/rollbar": "Allow sending log messages to Rollbar",
            "ruflin/elastica": "Allow sending log messages to an Elastic Search server",
            "sentry/sentry": "Allow sending log messages to a Sentry server"
        },
        "time": "2019-09-06T13:49:17+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "2.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Monolog\\": "src/Monolog"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Jordi Boggiano",
                "email": "j.boggiano@seld.be",
                "homepage": "http://seld.be"
            }
        ],
        "description": "Sends your logs to files, sockets, inboxes, databases and various web services",
        "homepage": "http://github.com/Seldaek/monolog",
        "keywords": [
            "log",
            "logging",
            "psr-3"
        ]
    },
    {
        "name": "phpoption/phpoption",
        "version": "1.5.0",
        "version_normalized": "1.5.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/schmittjoh/php-option.git",
            "reference": "94e644f7d2051a5f0fcf77d81605f152eecff0ed"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/schmittjoh/php-option/zipball/94e644f7d2051a5f0fcf77d81605f152eecff0ed",
            "reference": "94e644f7d2051a5f0fcf77d81605f152eecff0ed",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "require-dev": {
            "phpunit/phpunit": "4.7.*"
        },
        "time": "2015-07-25T16:39:46+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.3-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-0": {
                "PhpOption\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache2"
        ],
        "authors": [
            {
                "name": "Johannes M. Schmitt",
                "email": "schmittjoh@gmail.com"
            }
        ],
        "description": "Option Type for PHP",
        "keywords": [
            "language",
            "option",
            "php",
            "type"
        ]
    },
    {
        "name": "psr/http-message",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-message.git",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2016-08-06T14:39:51+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Message\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP messages",
        "homepage": "https://github.com/php-fig/http-message",
        "keywords": [
            "http",
            "http-message",
            "psr",
            "psr-7",
            "request",
            "response"
        ]
    },
    {
        "name": "psr/log",
        "version": "1.1.0",
        "version_normalized": "1.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/log.git",
            "reference": "6c001f1daafa3a3ac1d8ff69ee4db8e799a654dd"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/log/zipball/6c001f1daafa3a3ac1d8ff69ee4db8e799a654dd",
            "reference": "6c001f1daafa3a3ac1d8ff69ee4db8e799a654dd",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2018-11-20T15:27:04+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Log\\": "Psr/Log/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for logging libraries",
        "homepage": "https://github.com/php-fig/log",
        "keywords": [
            "log",
            "psr",
            "psr-3"
        ]
    },
    {
        "name": "ralouphie/getallheaders",
        "version": "3.0.3",
        "version_normalized": "3.0.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/ralouphie/getallheaders.git",
            "reference": "120b605dfeb996808c31b6477290a714d356e822"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
            "reference": "120b605dfeb996808c31b6477290a714d356e822",
            "shasum": ""
        },
        "require": {
            "php": ">=5.6"
        },
        "require-dev": {
            "php-coveralls/php-coveralls": "^2.1",
            "phpunit/phpunit": "^5 || ^6.5"
        },
        "time": "2019-03-08T08:55:37+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/getallheaders.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Ralph Khattar",
                "email": "ralph.khattar@gmail.com"
            }
        ],
        "description": "A polyfill for getallheaders."
    },
    {
        "name": "symfony/polyfill-ctype",
        "version": "v1.12.0",
        "version_normalized": "1.12.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-ctype.git",
            "reference": "550ebaac289296ce228a706d0867afc34687e3f4"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-ctype/zipball/550ebaac289296ce228a706d0867afc34687e3f4",
            "reference": "550ebaac289296ce228a706d0867afc34687e3f4",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-ctype": "For best performance"
        },
        "time": "2019-08-06T08:03:45+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.12-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Ctype\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Gert de Pagter",
                "email": "BackEndTea@gmail.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for ctype functions",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "ctype",
            "polyfill",
            "portable"
        ]
    },
    {
        "name": "telegram-bot/api",
        "version": "v2.3.13",
        "version_normalized": "2.3.13.0",
        "source": {
            "type": "git",
            "url": "https://github.com/TelegramBot/Api.git",
            "reference": "8d34f3ccd3230a9fd7c7fd9ba8ec0110a059f781"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/TelegramBot/Api/zipball/8d34f3ccd3230a9fd7c7fd9ba8ec0110a059f781",
            "reference": "8d34f3ccd3230a9fd7c7fd9ba8ec0110a059f781",
            "shasum": ""
        },
        "require": {
            "php": ">=5.5.0"
        },
        "require-dev": {
            "codeception/codeception": "*",
            "phpunit/phpunit": "~4.0",
            "squizlabs/php_codesniffer": "2.*"
        },
        "time": "2018-04-30T11:46:15+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "TelegramBot\\Api\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Ilya Gusev",
                "email": "mail@igusev.ru",
                "homepage": "https://php-cat.com",
                "role": "Developer"
            }
        ],
        "description": "PHP Wrapper for Telegram Bot API",
        "homepage": "https://github.com/TelegramBot/Api",
        "keywords": [
            "bot",
            "bot api",
            "php",
            "telegram"
        ]
    },
    {
        "name": "thingengineer/mysqli-database-class",
        "version": "v2.9.3",
        "version_normalized": "2.9.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/ThingEngineer/PHP-MySQLi-Database-Class.git",
            "reference": "03dbce1c7f1c9def315ad8ef52e1f5c0a806d6ed"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/ThingEngineer/PHP-MySQLi-Database-Class/zipball/03dbce1c7f1c9def315ad8ef52e1f5c0a806d6ed",
            "reference": "03dbce1c7f1c9def315ad8ef52e1f5c0a806d6ed",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2019-08-24T09:28:56+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "MysqliDb.php",
                "dbObject.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "GPL-3.0-or-later"
        ],
        "authors": [
            {
                "name": "Josh Campbell",
                "email": "josh.lee.campbell@gmail.com",
                "homepage": "https://github.com/thingengineer",
                "role": "Developer"
            },
            {
                "name": "Alexander V. Butenko",
                "email": "a.butenka@gmail.com",
                "homepage": "http://smarttechdo.com",
                "role": "Developer"
            }
        ],
        "description": "PHP MySQL Wrapper and object mapper which utilizes MySQLi and prepared statements"
    },
    {
        "name": "vlucas/phpdotenv",
        "version": "v3.6.0",
        "version_normalized": "3.6.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/vlucas/phpdotenv.git",
            "reference": "1bdf24f065975594f6a117f0f1f6cabf1333b156"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/vlucas/phpdotenv/zipball/1bdf24f065975594f6a117f0f1f6cabf1333b156",
            "reference": "1bdf24f065975594f6a117f0f1f6cabf1333b156",
            "shasum": ""
        },
        "require": {
            "php": "^5.4 || ^7.0",
            "phpoption/phpoption": "^1.5",
            "symfony/polyfill-ctype": "^1.9"
        },
        "require-dev": {
            "phpunit/phpunit": "^4.8.35 || ^5.0 || ^6.0 || ^7.0"
        },
        "time": "2019-09-10T21:37:39+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "3.6-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Dotenv\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "authors": [
            {
                "name": "Graham Campbell",
                "email": "graham@alt-three.com",
                "homepage": "https://gjcampbell.co.uk/"
            },
            {
                "name": "Vance Lucas",
                "email": "vance@vancelucas.com",
                "homepage": "https://vancelucas.com/"
            }
        ],
        "description": "Loads environment variables from `.env` to `getenv()`, `$_ENV` and `$_SERVER` automagically.",
        "keywords": [
            "dotenv",
            "env",
            "environment"
        ]
    }
]
